% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/build_and_install_package.R
\name{build_and_install_package}
\alias{build_and_install_package}
\title{Build, Install and Load Package}
\usage{
build_and_install_package(pkg = ".", dir_source_packages,
  pkgname_pkgversion, verbose = FALSE, ...)
}
\arguments{
\item{pkg}{Path to a package, or within a package.}

\item{dir_source_packages}{\code{character} directory containing the 
specific local source packages, that will be included in the Docker container
 image.}

\item{pkgname_pkgversion}{\code{character} the package name concatenated
with the version number of the package.}

\item{verbose}{\code{logical} should messages be printed or not?}

\item{...}{optional arguments for install packages.}
}
\value{
invisibly. The package is built, installed and loaded as side 
effects. Furthermore the source package is saved in the folder containing 
the files for the Docker image.
}
\description{
Builds, installs and loads the package. In addition the source package
is saved in the directory with the files for the Docker image.
}
